Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Class SelectionManager

    java.lang.Object
      ru.biosoft.graphics.editor.ViewPaneAdapter
          ru.biosoft.graphics.editor.SelectionManager

All Implemented Interfaces:
  ViewPaneListener

Direct Known Subclasses:
  MultipleSelectionManager

public class SelectionManager
extends ViewPaneAdapter

Field Summary
`protected java.util.Vector` | `selectedModels`
`protected java.util.Vector` | `selectedViews`
`protected ViewSelector` | `selector`
`protected ViewPane` | `viewPane`

Constructor Summary
`SelectionManager(ViewPane viewPane)`

Method Summary
`void` | `clearSelection()` Removes all selection
`boolean` | `contains(View view)`
`java.lang.Object[]` | `getSelectedModels()`
`View` | `getSelectedView(int i)`
`int` | `getSelectedViewCount()`
`ViewSelector` | `getViewSelector()`
`void` | `mousePressed(ViewPaneEvent e)` Invoked when a mouse button has been pressed on a view pane.
`void` | `paintSelection(java.awt.Graphics2D g2)`
`View[]` | `selectModel(java.lang.Object model, boolean exclusively)`
`View[]` | `selectModels(java.lang.Object[] models, boolean exclusively)`
`void` | `selectView(View view, boolean exclusively)`
`void` | `setViewSelector(ViewSelector selector)`

Methods inherited from class ru.biosoft.graphics.editor.ViewPaneAdapter
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewPane

    protected ViewPane viewPane

### selector

    protected ViewSelector selector

### selectedViews

    protected java.util.Vector selectedViews

### selectedModels

    protected java.util.Vector selectedModels

Constructor Detail

### SelectionManager

    public SelectionManager(ViewPane viewPane)

Method Detail

### getViewSelector

    public ViewSelector getViewSelector()

### setViewSelector

    public void setViewSelector(ViewSelector selector)

### contains

    public boolean contains(View view)

### getSelectedViewCount

    public int getSelectedViewCount()

### getSelectedView

    public View getSelectedView(int i)

### clearSelection

    public void clearSelection()

  Removes all selection

### selectView

    public void selectView(View view,
                           boolean exclusively)

### getSelectedModels

    public java.lang.Object[] getSelectedModels()

### selectModel

    public View[] selectModel(java.lang.Object model,
                              boolean exclusively)

### selectModels

    public View[] selectModels(java.lang.Object[] models,
                               boolean exclusively)

### paintSelection

    public void paintSelection(java.awt.Graphics2D g2)

### mousePressed

    public void mousePressed(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when a mouse button has been pressed on a view pane.

  Specified by:
    `mousePressed` in interface `ViewPaneListener`
  Overrides:
    `mousePressed` in class `ViewPaneAdapter`
  Pendung:
    selection support

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.